/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>

//#define Control_Reg_1_Register_Addr    (  (reg8 *) Control_Reg_1_Sync_ctrl_reg__CONTROL_REG ) // CYREG_B1_UDB10_CTL 0x657A
//#define Control_Reg_2_Register_Addr    (  (reg8 *) Control_Reg_2_Sync_ctrl_reg__CONTROL_REG ) // CYREG_B1_UDB11_CTL 0x657B

#define Control_Reg_1_Register_Addr    (  (reg16 *) Control_Reg_1_Sync_ctrl_reg__16BIT_CONTROL_CONTROL_REG) // 0x657A


uint16 Array[10] = {0x1234, 0x1235, 0x2345, 0x3456, 0x4567, 0x5678, 0x8901, 0x9012, 0x0123, 0x1233};

CYBIT Isr_Flag;

int main()
{
	uint8 hi8_bit, lo8_bit;
	uint8 DMA_1_Chan;
	uint8 DMA_1_TD[1];

	/* DMA Configuration for DMA_1 */
	#define DMA_1_BYTES_PER_BURST 2
	#define DMA_1_REQUEST_PER_BURST 1
	#define DMA_1_SRC_BASE (CYDEV_SRAM_BASE)
	#define DMA_1_DST_BASE (0)
	
	DMA_1_Chan = DMA_1_DmaInitialize(DMA_1_BYTES_PER_BURST, DMA_1_REQUEST_PER_BURST, 
	    HI16(DMA_1_SRC_BASE), HI16(DMA_1_DST_BASE));
		
	DMA_1_TD[0] = CyDmaTdAllocate();
	
	CyDmaTdSetConfiguration(DMA_1_TD[0], 20, DMA_1_TD[0], TD_SWAP_EN | DMA_1__TD_TERMOUT_EN | TD_INC_SRC_ADR);
	
	CyDmaTdSetAddress(DMA_1_TD[0], LO16((uint32)Array), LO16((uint32)Control_Reg_1_Register_Addr));
	
	CyDmaChSetInitialTd(DMA_1_Chan, DMA_1_TD[0]);
	CyDmaChEnable(DMA_1_Chan, 1);

	LCD_Start();
	isr_1_Start();
    CyGlobalIntEnable; 
	
	PWM_1_Start();
	

	
    for(;;)
    {
        if(Isr_Flag == 1)
		{
			Isr_Flag = 0;
		}
		hi8_bit = CY_GET_REG8(CYREG_PRT5_PS); // HI8
		lo8_bit = CY_GET_REG8(CYREG_PRT4_PS); // LO8

		
		LCD_Position(0,0);
		LCD_PrintInt8(hi8_bit);
		LCD_Position(0,2);
		LCD_PrintInt8(lo8_bit);
		
    }
}

/* [] END OF FILE */
